// ewm Modul Colorfade
// V1.0 20.07.2006 Horst Klier
// 
// Ermglicht Farbbergnge zwischen zwei Farben zu berechnen
//
// Achtung: Zum kompilieren wird tdblib bentigt
//

Var cms_Version       : Integer  := 1
Var cms_ModuleVersion : Integer  := 1
Var cms_ShowModule    : String   := 'execmacro="Colorfade"'
Var cms_Functions_1   : String   := ''

Uses strings
Uses math
Include ../sysmod/cms_sub.mod

Procedure cmsMain (nLfdWEB : Integer; cSpacer, cSes, cURL, cParam : String ) : String

  cms_nLfdWEB := nLfdWEB
  cms_cSpacer := cSpacer
  cms_cSes    := cSes
  cms_cURL    := cURL
  cms_cParam  := cParam

  cms_cLan    := cms_GetLan (nLfdWEB)

  ////
  Var aSplits:String[]
  Var cCol1,cCol2 : String
  Var nSteps,nStep,nRet : Integer
  nRet:=split4(aSplits,cParam,',',4,0,0)
  If nRet=4 then
    cCol1:=aSplits[0]
    cCol2:=aSplits[1]
    SetPara('EC 1')
    nSteps:=Val(aSplits[2])
    nStep:=Val(aSplits[3])
    SetPara('EC 0')
    cms_WriteText(HTMLColFade(cCol1,cCol2,nSteps,nStep))
  ElsIf nRet=1 then
    cms_WriteText(HTMLReadableColor(aSplits[0]))
  End
  ////

  Subst(cSpacer,'')

  Return cSes

EndProc

